Inhalte

# Operator AND

Verbindet zwei Ausdrücke logisch.

## Syntax:

    Ergebnis = Ausdruck1 And Ausdruck2

## Parameter:

Ergebnis: Eine beliebige numerische Variable, die das Ergebnis der Kombination aufnimmt.

Ausdruck1, Ausdruck2: Beliebige zu kombinierende Ausdrücke.

Bei einer UND-Verknüpfung von Boolschen Ausdrücken wird nur dann der Wert True zurückgegeben, wenn die beiden miteinander verknüpften Ausdrücke True sind:

True AND True gibt True, alle anderen Kombinationen geben False.

Bei einer bitweisen UND-Verknüpfung werden nur die Bits gesetzt, die auch in den beiden angegebenen Ausdrücken gesetzt sind.

## Beispiel:

    Sub ExampleAnd
    Dim A As Variant, B As Variant, C As Variant, D As Variant
    Dim vVarOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vVarOut = A > B And B > C ' Liefert -1 zurück
        vVarOut = B > A And B > C ' Liefert 0 zurück
        vVarOut = A > B And B > D ' Liefert 0 zurück
        vVarOut = (B > D And B > A) ' Liefert 0 zurück
        vVarOut = B And A ' Liefert 8 wegen bitweiser AND-Verknüpfung der beiden Argumente
    End Sub